Sign me up Login

Details about package libexif-gtk

Name: libexif-gtk (PTS)
Uploader: Hugh McMaster <hugh.mcmaster@outlook.com> (Debian QA page)
Description: libexif-gtk3-5 - Library providing GTK+ widgets to display/edit EXIF tags
libexif-gtk-dev - Library providing GTK+ widgets to display/edit EXIF tags (development files)

Package uploads

Upload #2

Information

Version: 0.5.0-1
Uploaded: 2020-10-01 12:52
Source package: libexif-gtk_0.5.0-1.dsc
Distribution: experimental
Section: libs
Priority: optional
Homepage: https://libexif.github.io/
Vcs-Browser: https://salsa.debian.org/debian-phototools-team/libexif-gtk
Vcs-Git: https://salsa.debian.org/debian-phototools-team/libexif-gtk.git
Closes bugs: #911108 #967573

Changelog

 libexif-gtk (0.5.0-1) experimental; urgency=medium
 .
   * New upstream version:
     - Fix cross-compilation with pkg-config (Closes: #911108).
   * Switch to GTK 3 (Closes: #967573).
   * Remove deprecated debian/compat file.
   * debian/changelog: Trim trailing whitespace.
   * debian/copyright: Update for libexif-gtk 0.5.0.
   * debian/control:
     - Use debhelper-compat version 13.
     - Emmanuel Bouthenot and Frederic Peters have stepped down as Uploaders.
       Thank you for maintaining libexif-gtk.
     - Add Hugh McMaster as an Uploader.
     - Sort Build-Depends list.
     - Build-Depend on libgtk-3-dev.
     - Remove autopoint from the Build-Depends list, as it is pulled in
       automatically as a dependency of dh-autoreconf.
     - Raise Standards-Version from 4.1.3 to 4.5.0 (no changes needed).
     - Declare Rules-Requires-Root: no.
     - libexif-gtk5 has been renamed libexif-gtk3-5.
     - libexif-gtk-dev now depends on libexif-dev and libgtk-3-dev.
     - Trim trailing whitespace.
   * debian/patches:
     - Drop existing patches (all issues fixed in this version).
     - Add gettext-gtk-version.patch: Include the GTK version suffix in the
       package name passed to the GP_GETTEXT_HACK macro.
   * debian/rules:
     - Pass --with-gtk3 to the configure script.
     - Don't install the outdated upstream ChangeLog.
   * libexif-gtk3-5:
     - Install libexif-gtk3 shared objects.
   * libexif-gtk3-5.symbols:
     - Update for libexif-gtk 0.5.0.
     - Add Build-Depends-Package meta-information field.
   * libexif-gtk-dev:
     - Install libexif-gtk3 pkg-config file.
     - Don't install libexif-gtk3.la.
     - Reorder .install file entries.
   * Rename libexif-gtk5-dev.docs to libexif-gtk-dev.docs.
   * Add debian/gbp.conf.
   * Add debian/not-installed file.
   * Add debian/upstream/metadata file.

QA information

Comments

No comments

Upload #1

Information

Version: 0.5.0-1
Uploaded: 2020-09-27 07:53
Source package: libexif-gtk_0.5.0-1.dsc
Distribution: experimental
Section: libs
Priority: optional
Homepage: https://libexif.github.io/
Vcs-Browser: https://salsa.debian.org/debian-phototools-team/libexif-gtk
Vcs-Git: https://salsa.debian.org/debian-phototools-team/libexif-gtk.git
Closes bugs: #911108 #967573

Changelog

 libexif-gtk (0.5.0-1) experimental; urgency=medium
 .
   * New upstream version:
     - Fix cross-compilation with pkg-config (Closes: #911108).
   * Switch to GTK 3 (Closes: #967573).
   * Remove deprecated debian/compat file.
   * debian/changelog: Trim trailing whitespace.
   * debian/copyright: Update for libexif-gtk 0.5.0.
   * debian/control:
     - Use debhelper-compat version 13.
     - Emmanuel Bouthenot and Frederic Peters have stepped down as Uploaders.
       Thank you for maintaining libexif-gtk.
     - Add Hugh McMaster as an Uploader.
     - Sort Build-Depends list.
     - Build-Depend on libgtk-3-dev.
     - Raise Standards-Version from 4.1.3 to 4.5.0 (no changes needed).
     - Declare Rules-Requires-Root: no.
     - Add new binary package: libexif-gtk3-5.
     - libexif-gtk5 is now a transitional package.
     - libexif-gtk-dev now depends on libexif-dev and libgtk-3-dev.
     - Trim trailing whitespace.
   * debian/patches: Drop all patches. All issues fixed in this version.
   * debian/rules:
     - Pass --with-gtk3 to the configure script.
     - Don't install the outdated upstream ChangeLog.
   * libexif-gtk3-5:
     - Install libexif-gtk3 shared objects.
   * libexif-gtk3-5.symbols:
     - Update for libexif-gtk 0.5.0.
     - Add Build-Depends-Package meta-information field.
   * libexif-gtk-dev:
     - Install libexif-gtk3 pkg-config file.
     - Don't install libexif-gtk3.la.
     - Reorder .install file entries.
   * Rename libexif-gtk5-dev.docs to libexif-gtk-dev.docs.
   * Add debian/gbp.conf.
   * Add debian/not-installed file.
   * Add debian/upstream/metadata file.

QA information

Comments

No comments